## alsa-driver-hda-intel-dkms 20100412omsk1

=== drivers/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

# ALSA extra definitions

clean-files := mts64.c portman2x4.c

snd-serialmidi-objs := serialmidi.o
snd-aloop-objs := aloop.o

obj-$(CONFIG_SND_SERIALMIDI) += snd-serialmidi.o
obj-$(CONFIG_SND_LOOPBACK) += snd-aloop.o

include $(SND_TOPDIR)/alsa-kernel/drivers/Makefile

include $(SND_TOPDIR)/Rules.make

mts64.c: mts64.patch $(SND_TOPDIR)/alsa-kernel/drivers/mts64.c
portman2x4.c: portman2x4.patch $(SND_TOPDIR)/alsa-kernel/drivers/portman2x4.c

=== mips/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

include $(SND_TOPDIR)/alsa-kernel/mips/Makefile

include $(SND_TOPDIR)/Rules.make

=== usb/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

clean-files := card.c endpoint.c helper.c quirks.c urb.c midi.c \
	mixer.c mixer_quirks.c

# for compatibility
extra-snd-usb-lib-objs := usbcompat.o
export-objs := midi.o usbcompat.o

include $(SND_TOPDIR)/alsa-kernel/usb/Makefile

EXTRA_CFLAGS += -I$(SND_TOPDIR)/alsa-kernel/usb

include $(SND_TOPDIR)/Rules.make

card.c: card.patch card.inc card.inc1 usbaudio.inc $(SND_TOPDIR)/alsa-kernel/usb/card.c
endpoint.c: endpoint.patch usbaudio.inc $(SND_TOPDIR)/alsa-kernel/usb/endpoint.c
helper.c: helper.patch usbaudio.inc $(SND_TOPDIR)/alsa-kernel/usb/helper.c
quirks.c: quirks.patch usbaudio.inc $(SND_TOPDIR)/alsa-kernel/usb/quirks.c
urb.c: urb.patch usbaudio.inc $(SND_TOPDIR)/alsa-kernel/usb/urb.c
midi.c: midi.patch midi.inc midi.inc1 $(SND_TOPDIR)/alsa-kernel/usb/midi.c
mixer.c: mixer.patch $(SND_TOPDIR)/alsa-kernel/usb/mixer.c
mixer_quirks.c: mixer_quirks.patch $(SND_TOPDIR)/alsa-kernel/usb/mixer_quirks.c

=== doc/DocBook/Makefile ===
TOPDIR=../..

DOCBOOKS := alsa-driver-api.xml writing-an-alsa-driver.xml

include $(TOPDIR)/Makefile.conf

TOPDIR = $(MAINSRCDIR)
CURDIR = $(subst $(MAINSRCDIR)/,,$(shell /bin/pwd))

# The targets that may be used.
.PHONY:	depend xmldocs psdocs pdfdocs htmldocs clean mrproper

BOOKS := $(DOCBOOKS)
xmldocs: $(BOOKS)

PS := $(patsubst %.xml, %.ps, $(BOOKS))
psdocs: $(PS) $(DOCPROC)

PDF := $(patsubst %.xml, %.pdf, $(BOOKS))
pdfdocs: $(PDF) $(DOCPROC)

HTML := $(patsubst %.xml, %, $(BOOKS))
htmldocs: $(HTML) $(DOCPROC)

###
# non-standard rules below to simplify...

KERNELDOC=$(TOPDIR)/utils/kernel-doc
DOCPROC=$(TOPDIR)/utils/docproc

$(DOCPROC):
	$(MAKE) -C $(TOPDIR)/utils docproc

%.tmpl:
	ln -s $(TOPDIR)/alsa-kernel/Documentation/DocBook/$@

%.xml: %.tmpl
	(cd $(TOPDIR);\
	 $(DOCPROC) doc $(CURDIR)/$< > $(CURDIR)/$@)

###

DVI	:=	$(patsubst %.xml, %.dvi, $(BOOKS))
AUX	:=	$(patsubst %.xml, %.aux, $(BOOKS))
TEX	:=	$(patsubst %.xml, %.tex, $(BOOKS))
LOG	:=	$(patsubst %.xml, %.log, $(BOOKS))
OUT	:=	$(patsubst %.xml, %.out, $(BOOKS))

clean:
	rm -f core *~
	rm -f $(BOOKS) $(patsubst %.xml, %.tmpl, $(BOOKS))
	rm -f $(DVI) $(AUX) $(TEX) $(LOG) $(OUT)
	rm -f $(patsubst %.fo, %.tmpl, $(BOOKS))
	rm -f $(PNG-parportbook) $(EPS-parportbook)
	rm -f $(C-procfs-example)

mrproper: clean
	rm -f $(PS) $(PDF)
	rm -f -r $(HTML)
	rm -f .depend
#	rm -f $(TOPDIR)/scripts/mkdep-docbook
	rm -rf DBTOHTML_OUTPUT*

XMLTOFLAGS = -m $(TOPDIR)/alsa-kernel/Documentation/DocBook/stylesheet.xsl

%.html: %.xml
	xmlto xhtml $(XMLTOFLAGS) $<

# %.pdf: %.xml
# 	xmlto $(XMLTOFLAGS) pdf $<

%.fo: %.xml
	xmlto $(XMLTOFLAGS) fo $<
%.pdf: %.fo
	fop $< $@

%.ps: %.xml
	xmlto ps $(XMLTOFLAGS) $<

%: %.xml
	rm -rf $@
	mkdir $@
	(cd $@; xmlto xhtml $(XMLTOFLAGS) ../$<)

=== isa/cs423x/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

isapnp-files := cs4236.isapnp 

include $(SND_TOPDIR)/alsa-kernel/isa/cs423x/Makefile

# snd-pc98-cs4232-objs := pc98.o
# obj-$(CONFIG_SND_PC98_CS4232) += snd-pc98-cs4232.o snd-cs4231-lib.o

include $(SND_TOPDIR)/Rules.make

=== pci/ice1712/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

export-objs = ak4xxx.o

include $(SND_TOPDIR)/alsa-kernel/pci/ice1712/Makefile

include $(SND_TOPDIR)/Rules.make

=== soc/pxa/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

include $(SND_TOPDIR)/alsa-kernel/soc/pxa/Makefile

include $(SND_TOPDIR)/Rules.make

=== synth/emux/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

export-objs  := emux.o emux_synth.o soundfont.o

include $(SND_TOPDIR)/alsa-kernel/synth/emux/Makefile

include $(SND_TOPDIR)/Rules.make

=== sound/soc/codecs/Makefile ===
snd-soc-ac97-objs := ac97.o
snd-soc-ad1836-objs := ad1836.o
snd-soc-ad193x-objs := ad193x.o
snd-soc-ad1980-objs := ad1980.o
snd-soc-ad73311-objs := ad73311.o
snd-soc-ads117x-objs := ads117x.o
snd-soc-ak4104-objs := ak4104.o
snd-soc-ak4535-objs := ak4535.o
snd-soc-ak4642-objs := ak4642.o
snd-soc-ak4671-objs := ak4671.o
snd-soc-cq93vc-objs := cq93vc.o
snd-soc-cs4270-objs := cs4270.o
snd-soc-cx20442-objs := cx20442.o
snd-soc-da7210-objs := da7210.o
snd-soc-l3-objs := l3.o
snd-soc-pcm3008-objs := pcm3008.o
snd-soc-spdif-objs := spdif_transciever.o
snd-soc-ssm2602-objs := ssm2602.o
snd-soc-stac9766-objs := stac9766.o
snd-soc-tlv320aic23-objs := tlv320aic23.o
snd-soc-tlv320aic26-objs := tlv320aic26.o
snd-soc-tlv320aic3x-objs := tlv320aic3x.o
snd-soc-tlv320dac33-objs := tlv320dac33.o
snd-soc-twl4030-objs := twl4030.o
snd-soc-twl6040-objs := twl6040.o
snd-soc-uda134x-objs := uda134x.o
snd-soc-uda1380-objs := uda1380.o
snd-soc-wm8350-objs := wm8350.o
snd-soc-wm8400-objs := wm8400.o
snd-soc-wm8510-objs := wm8510.o
snd-soc-wm8523-objs := wm8523.o
snd-soc-wm8580-objs := wm8580.o
snd-soc-wm8711-objs := wm8711.o
snd-soc-wm8727-objs := wm8727.o
snd-soc-wm8728-objs := wm8728.o
snd-soc-wm8731-objs := wm8731.o
snd-soc-wm8750-objs := wm8750.o
snd-soc-wm8753-objs := wm8753.o
snd-soc-wm8776-objs := wm8776.o
snd-soc-wm8900-objs := wm8900.o
snd-soc-wm8903-objs := wm8903.o
snd-soc-wm8904-objs := wm8904.o
snd-soc-wm8940-objs := wm8940.o
snd-soc-wm8955-objs := wm8955.o
snd-soc-wm8960-objs := wm8960.o
snd-soc-wm8961-objs := wm8961.o
snd-soc-wm8971-objs := wm8971.o
snd-soc-wm8974-objs := wm8974.o
snd-soc-wm8978-objs := wm8978.o
snd-soc-wm8988-objs := wm8988.o
snd-soc-wm8990-objs := wm8990.o
snd-soc-wm8993-objs := wm8993.o
snd-soc-wm8994-objs := wm8994.o
snd-soc-wm9081-objs := wm9081.o
snd-soc-wm9705-objs := wm9705.o
snd-soc-wm9712-objs := wm9712.o
snd-soc-wm9713-objs := wm9713.o
snd-soc-wm-hubs-objs := wm_hubs.o

# Amp
snd-soc-max9877-objs := max9877.o
snd-soc-tpa6130a2-objs := tpa6130a2.o
snd-soc-wm2000-objs := wm2000.o

obj-$(CONFIG_SND_SOC_AC97_CODEC)	+= snd-soc-ac97.o
obj-$(CONFIG_SND_SOC_AD1836)	+= snd-soc-ad1836.o
obj-$(CONFIG_SND_SOC_AD193X)	+= snd-soc-ad193x.o
obj-$(CONFIG_SND_SOC_AD1980)	+= snd-soc-ad1980.o
obj-$(CONFIG_SND_SOC_AD73311) += snd-soc-ad73311.o
obj-$(CONFIG_SND_SOC_ADS117X)	+= snd-soc-ads117x.o
obj-$(CONFIG_SND_SOC_AK4104)	+= snd-soc-ak4104.o
obj-$(CONFIG_SND_SOC_AK4535)	+= snd-soc-ak4535.o
obj-$(CONFIG_SND_SOC_AK4642)	+= snd-soc-ak4642.o
obj-$(CONFIG_SND_SOC_AK4671)	+= snd-soc-ak4671.o
obj-$(CONFIG_SND_SOC_CQ0093VC) += snd-soc-cq93vc.o
obj-$(CONFIG_SND_SOC_CS4270)	+= snd-soc-cs4270.o
obj-$(CONFIG_SND_SOC_CX20442)	+= snd-soc-cx20442.o
obj-$(CONFIG_SND_SOC_DA7210)	+= snd-soc-da7210.o
obj-$(CONFIG_SND_SOC_L3)	+= snd-soc-l3.o
obj-$(CONFIG_SND_SOC_PCM3008)	+= snd-soc-pcm3008.o
obj-$(CONFIG_SND_SOC_SPDIF)	+= snd-soc-spdif.o
obj-$(CONFIG_SND_SOC_SSM2602)	+= snd-soc-ssm2602.o
obj-$(CONFIG_SND_SOC_STAC9766)	+= snd-soc-stac9766.o
obj-$(CONFIG_SND_SOC_TLV320AIC23)	+= snd-soc-tlv320aic23.o
obj-$(CONFIG_SND_SOC_TLV320AIC26)	+= snd-soc-tlv320aic26.o
obj-$(CONFIG_SND_SOC_TLV320AIC3X)	+= snd-soc-tlv320aic3x.o
obj-$(CONFIG_SND_SOC_TLV320DAC33)	+= snd-soc-tlv320dac33.o
obj-$(CONFIG_SND_SOC_TWL4030)	+= snd-soc-twl4030.o
obj-$(CONFIG_SND_SOC_TWL6040)	+= snd-soc-twl6040.o
obj-$(CONFIG_SND_SOC_UDA134X)	+= snd-soc-uda134x.o
obj-$(CONFIG_SND_SOC_UDA1380)	+= snd-soc-uda1380.o
obj-$(CONFIG_SND_SOC_WM8350)	+= snd-soc-wm8350.o
obj-$(CONFIG_SND_SOC_WM8400)	+= snd-soc-wm8400.o
obj-$(CONFIG_SND_SOC_WM8510)	+= snd-soc-wm8510.o
obj-$(CONFIG_SND_SOC_WM8523)	+= snd-soc-wm8523.o
obj-$(CONFIG_SND_SOC_WM8580)	+= snd-soc-wm8580.o
obj-$(CONFIG_SND_SOC_WM8711)	+= snd-soc-wm8711.o
obj-$(CONFIG_SND_SOC_WM8727)	+= snd-soc-wm8727.o
obj-$(CONFIG_SND_SOC_WM8728)	+= snd-soc-wm8728.o
obj-$(CONFIG_SND_SOC_WM8731)	+= snd-soc-wm8731.o
obj-$(CONFIG_SND_SOC_WM8750)	+= snd-soc-wm8750.o
obj-$(CONFIG_SND_SOC_WM8753)	+= snd-soc-wm8753.o
obj-$(CONFIG_SND_SOC_WM8776)	+= snd-soc-wm8776.o
obj-$(CONFIG_SND_SOC_WM8900)	+= snd-soc-wm8900.o
obj-$(CONFIG_SND_SOC_WM8903)	+= snd-soc-wm8903.o
obj-$(CONFIG_SND_SOC_WM8904)	+= snd-soc-wm8904.o
obj-$(CONFIG_SND_SOC_WM8940)	+= snd-soc-wm8940.o
obj-$(CONFIG_SND_SOC_WM8955)	+= snd-soc-wm8955.o
obj-$(CONFIG_SND_SOC_WM8960)	+= snd-soc-wm8960.o
obj-$(CONFIG_SND_SOC_WM8961)	+= snd-soc-wm8961.o
obj-$(CONFIG_SND_SOC_WM8971)	+= snd-soc-wm8971.o
obj-$(CONFIG_SND_SOC_WM8974)	+= snd-soc-wm8974.o
obj-$(CONFIG_SND_SOC_WM8978)	+= snd-soc-wm8978.o
obj-$(CONFIG_SND_SOC_WM8988)	+= snd-soc-wm8988.o
obj-$(CONFIG_SND_SOC_WM8990)	+= snd-soc-wm8990.o
obj-$(CONFIG_SND_SOC_WM8993)	+= snd-soc-wm8993.o
obj-$(CONFIG_SND_SOC_WM8994)	+= snd-soc-wm8994.o
obj-$(CONFIG_SND_SOC_WM9081)	+= snd-soc-wm9081.o
obj-$(CONFIG_SND_SOC_WM9705)	+= snd-soc-wm9705.o
obj-$(CONFIG_SND_SOC_WM9712)	+= snd-soc-wm9712.o
obj-$(CONFIG_SND_SOC_WM9713)	+= snd-soc-wm9713.o
obj-$(CONFIG_SND_SOC_WM_HUBS)	+= snd-soc-wm-hubs.o

# Amp
obj-$(CONFIG_SND_SOC_MAX9877)	+= snd-soc-max9877.o
obj-$(CONFIG_SND_SOC_TPA6130A2)	+= snd-soc-tpa6130a2.o
obj-$(CONFIG_SND_SOC_WM2000)	+= snd-soc-wm2000.o

=== changelog ===
alsa-driver-hda-intel-dkms (20100412) stable; urgency=low

  * Automatically packaged by DKMS.

 -- Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>  Mon, 24 May 2010 18:21:29 +0000

=== debian/changelog ===
alsa-driver-hda-intel-dkms (20100412omsk1) lucid; urgency=low

  * debian/control: Added dkms and patch as deps.

 -- Michael Frey <michael.frey@canonical.com>  Tue, 25 May 2010 11:17:24 -0400

alsa-driver-hda-intel-dkms (20100412) lucid; urgency=low

  * Automatically packaged by DKMS.

 -- Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>  Mon, 24 May 2010 18:21:29 +0000

=== control ===
Source: alsa-driver-hda-intel-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.1

Package: alsa-driver-hda-intel-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: alsa-driver-hda-intel driver in DKMS format.

=== debian/control ===
Source: alsa-driver-hda-intel-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms, patch
Standards-Version: 3.8.1

Package: alsa-driver-hda-intel-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: alsa-driver-hda-intel driver in DKMS format.

=== rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=alsa-driver-hda-intel
NAME=alsa-driver-hda-intel
VERSION=20100412

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
